Skip to main content
GET
/
lucca-api
/
taxonomy-labels
List taxonomy-labels
curl --request GET \
  --url https://{host}/lucca-api/taxonomy-labels \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "type": "taxonomy-labels",
  "url": "https://example.ilucca.net/lucca-api/taxonomy-labels?limit=25",
  "totalCount": 872,
  "items": [
    {
      "id": "8751",
      "type": "taxonomy-label",
      "url": "https://example.ilucca.net/lucca-api/taxonomy-labels/8751",
      "taxonomy": {
        "id": "45",
        "type": "taxonomy",
        "url": "https://example.ilucca.net/lucca-api/taxonomies/45"
      },
      "name": "XL",
      "remoteId": "tshirtSize.extraLarge",
      "createdAt": "2025-01-23T19:45:23Z",
      "lastUpdatedAt": "2025-01-23T19:45:23Z",
      "isArchived": false,
      "lastArchivedAt": null,
      "t9n": {},
      "links": {}
    }
  ],
  "links": {
    "prev": null,
    "next": {
      "href": "https://example.ilucca.net/lucca-api/taxonomy-labels?page=2qs1dqsd45&limit=25"
    }
  },
  "embedded": {}
}
OAuth 2.0 scopes
 taxonomies.readonly
or
 taxonomies.readwrite

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Query Parameters

taxonomy.id
string

Filter out taxonomy-labels by the taxonomy they belong to.

Minimum string length: 1

Find a taxonomy-label whose name must start with all of the given words. Each word can be delimited with any of these delimiters: [' ', '-', '_', ',', '.'].

Minimum string length: 1
isArchived
boolean

When omitted: return both archived and non-archived resources. When true: only return archived resources. When false: only return non-archived resources.

sort
enum<string>
default:id

Sort taxonomy-labels. Most often, you want to interpolate the taxonomy sortLabelsBy property value. id is equivalent to "createdAt".

Available options:
id,
name
page
string

Cursor of the page to retrieve. Read more about pagination.

limit
integer
default:25

Number of items per page. Defaults to 25. Maximum is 100. Read more about pagination.

Required range: 0 <= x <= 100
include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A collection of taxonomy-label resources.

type
string
Allowed value: "taxonomy-labels"
url
string<uri>
totalCount
integer<int64> | null

Total number of profession resources across all pages that satisfy query parameters.

Required range: x >= 0
items
taxonomy-label · object[]
Maximum array length: 100

Links to related resources

embedded
object

No embedded resources on a taxonomy-label(s) response. Expect an empty object if embedded are requested.